%define lib_major 0
%define lib_name %mklibname %name %{lib_major}
%define lib_devel_name %mklibname %name -d

Name: thinkfinger
Summary: Driver and tools for the fingerprint reader found in most IBM/Lenovo ThinkPads
Version: 0.3
Release: %mkrel 5
License: GPLv2+
Group: System/Kernel and hardware
Source: http://ovh.dl.sourceforge.net/sourceforge/thinkfinger/%{name}-%{version}.tar.bz2
URL: http://thinkfinger.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Requires: kmod(uinput)
BuildRequires: pam-devel
BuildRequires: libusb-devel
BuildRequires: doxygen

%description
ThinkFinger is a driver for the SGS Thomson Microelectronics 
fingerprint reader found in most IBM/Lenovo ThinkPads.

This package contains the tool to acquire and verify fingerprints, and the
PAM module for authentication with fingerprints.

%files
%defattr(-,root,root)
%doc README NEWS COPYING AUTHORS INSTALL
%{_sbindir}/tf-tool
%_mandir/man1/tf-tool.*
%attr(700,root,root) %dir %{_sysconfdir}/pam_thinkfinger
/%_lib/security/pam_thinkfinger.so
%_mandir/man8/pam_thinkfinger.8.*

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
ThinkFinger is a driver for the SGS Thomson Microelectronics 
fingerprint reader found in most IBM/Lenovo ThinkPads.

This package contains the driver library.

%if %mdkversion < 200900
%post -n %{lib_name} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libthinkfinger.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{lib_devel_name}
Summary:  %{summary}
Group: %{group}
# for new devel library policy
Obsoletes: %mklibname %name 0 -d
Provides: %name-devel = %version-%release
Requires: %{lib_name} = %{version}

%description -n %{lib_devel_name}
ThinkFinger is a driver for the SGS Thomson Microelectronics 
fingerprint reader found in most IBM/Lenovo ThinkPads.

This package contains the development files and documentation for
thinkfinger.

%files -n %{lib_devel_name}
%defattr(-,root,root)
%doc docs/autodocs/html
%{_libdir}/pkgconfig/libthinkfinger.pc
%{_libdir}/libthinkfinger.la
%{_libdir}/libthinkfinger.so
%{_includedir}/libthinkfinger.h

#--------------------------------------------------------------------


%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"

%configure2_5x \
    --enable-static=no \
    --with-securedir=/%_lib/security

%make

%install
rm -rf %buildroot
%makeinstall_std
mkdir -m 700 -p %buildroot/%_sysconfdir/pam_thinkfinger

%clean
rm -rf %buildroot 


%changelog
* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3-5mdv2009.0
+ Revision: 269433
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - normalize call to ldconfig in %%post/%%postun

* Wed May 07 2008 Funda Wang <fundawang@mandriva.org> 0.3-4mdv2009.0
+ Revision: 203074
- Requires kernel module uinput

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 17 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.3-3mdv2008.0
+ Revision: 88861
- build require doxygen for the html documentation
- shorter Summary, per rpmlint error
- pam_thinkfinger(8) manpage packaged with the pam module
- put pam module in right directory
- moved pam module from library package to main thinkfinger package
- abide to new Library Policy
- added descriptions for subpackages
- added html documentation to -devel subpackage
- install some docs with main package
- use license name per Licensing Policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - do not harcode man page extension

* Fri Jun 01 2007 Funda Wang <fundawang@mandriva.org> 0.3-2mdv2008.0
+ Revision: 33534
- fix group
  fix lib ldconfig

* Mon May 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.3-1mdv2008.0
+ Revision: 26719
- Import thinkfinger

